#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kio
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KDE Network transparent access to files and data

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	karchive
BuildRequires	:	kcompletion
BuildRequires	:	kbookmarks
BuildRequires	:	kdoctools
BuildRequires	:	kjobwidgets
BuildRequires	:	kservice
BuildRequires	:	ktextwidgets
BuildRequires	:	libxml2
BuildRequires	:	qtx11extras-devel
BuildRequires	:	solid = %{version}
#-----------------------------------------------------------------------------
%description
This framework implements almost all the file management functions you
will ever need. In fact, the KDE file manager (Dolphin) and the KDE
file dialog also uses this to provide its network-enabled file management.

It supports accessing files locally as well as via HTTP and FTP out of the
box and can be extended by plugins to support other protocols as well. There
is a variety of plugins available, e.g. to support access via SSH.

The framework can also be used to bridge a native protocol to a file-based
interface. This makes the data accessible in all applications using the KDE
file dialog or any other KIO enabled infrastructure.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_sysconfdir}/xdg/accept-languages.codes
%{_sysconfdir}/xdg/kshorturifilterrc
%{_includedir}/KF5/KIO*/*
%{_includedir}/KF5/kio/*.h
%{_bindir}/kcookiejar5
%{_bindir}/ktelnetservice5
%{_bindir}/ktrash5
%{_bindir}/protocoltojson
%{_libdir}/cmake/KF5KIO/*.cmake
%{_libdir}/libKF5KIO*.so*
%{_libdir}/libexec/kf5/*
%{_defaultdocdir}/HTML/*/kcontrol5/*
%{_defaultdocdir}/HTML/*/kioslave5/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}5.mo
%{_datadir}/dbus-1/interfaces/kf5_org.kde.*.xml
%{_datadir}/dbus-1/services/org.kde.*.service
%{_datadir}/plugins/*.so
%{_datadir}/plugins/kf5/*/*.so
%{_datadir}/plugins/designer/%{name}5widgets.so
%{_datadir}/plugins/plasma/kcms/systemsettings/kcm_*.so
%{_datadir}/plugins/plasma/kcms/systemsettings_qwidgets/kcm_*.so
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/applications/*.desktop
%{_datadir}/kservices5/*.{desktop,protocol}
%{_datadir}/kservices5/*/*.desktop
%{_datadir}/kservicetypes5/*.desktop
%{_datadir}/kconf_update/*.upd
%{_datadir}/kf5/kcookiejar/domain_info
%{_datadir}/knotifications5/proxyscout.notifyrc
%{_datadir}/kdevappwizard/templates/kioworker.tar.bz2
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories
%{_mandir}/man8/*.8.gz
%{_mandir}/*/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
